Skip to content
Start here

Rename a namespace

client.kv.namespaces.update(stringnamespaceID, NamespaceUpdateParams { account_id, title } params, RequestOptionsoptions?): Namespace { id, title, jurisdiction, 2 more }
PUT/accounts/{account_id}/storage/kv/namespaces/{namespace_id}

Changes the title of the specified Workers KV namespace and returns the updated namespace. The namespace ID and stored key-value pairs are unchanged.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers KV Storage Write
ParametersExpand Collapse
namespaceID: string

ID of the Workers KV namespace.

maxLength32
params: NamespaceUpdateParams { account_id, title }
account_id: string

Path param: ID of the Cloudflare account that owns the Workers KV namespaces.

maxLength32
title: string

Body param: Human-readable string name for a Workers KV namespace.

maxLength512
ReturnsExpand Collapse
Namespace { id, title, jurisdiction, 2 more }
id: string

ID of the Workers KV namespace.

maxLength32
title: string

Human-readable string name for a Workers KV namespace.

maxLength512
jurisdiction?: "eu" | "fedramp" | "us"

Specify the jurisdiction to restrict the KV namespace to durably store data within. Can only be set at namespace creation time.

One of the following:
"eu"
"fedramp"
"us"
mode?: "instant"

The mode of the Workers KV namespace. Specify instant when creating a namespace to create a KV Instant namespace. Omit this field when creating a namespace to create a classic namespace. Currently, instant is the only supported explicit value.

supports_url_encoding?: boolean

True if keys written on the URL will be URL-decoded before storing. For example, if set to “true”, a key written on the URL as “%3F” will be stored as ”?”.

Rename a namespace

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const namespace = await client.kv.namespaces.update('0f2ac74b498b48028cb68387c421e279', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  title: 'My Own Namespace',
});

console.log(namespace.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "0f2ac74b498b48028cb68387c421e279",
    "title": "My Own Namespace",
    "jurisdiction": "eu",
    "mode": "instant",
    "supports_url_encoding": true
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "0f2ac74b498b48028cb68387c421e279",
    "title": "My Own Namespace",
    "jurisdiction": "eu",
    "mode": "instant",
    "supports_url_encoding": true
  },
  "success": true
}